import { RequestCookies } from 'next/dist/server/web/spec-extension/cookies';
export class RequestCookiesProvider {
    static fromHeaders(headers) {
        const cookies = new RequestCookies(new Headers(headers));
        return new RequestCookiesProvider(cookies);
    }
    static fromRequestCookies(cookies) {
        return new RequestCookiesProvider(cookies);
    }
    constructor(cookies) {
        this.cookies = cookies;
    }
    get(key) {
        return this.cookies.get(key)?.value;
    }
}
