const INTERNAL_VERIFIED_TOKEN_COOKIE_NAME = 'x-next-firebase-auth-edge-verified';
const INTERNAL_VERIFIED_TOKEN_COOKIE_VALUE = 'true';
export function areCookiesVerifiedByMiddleware(cookies) {
    return (cookies.get(INTERNAL_VERIFIED_TOKEN_COOKIE_NAME)?.value ===
        INTERNAL_VERIFIED_TOKEN_COOKIE_VALUE);
}
export function isCookiesObjectVerifiedByMiddleware(cookies) {
    return (cookies[INTERNAL_VERIFIED_TOKEN_COOKIE_NAME] ===
        INTERNAL_VERIFIED_TOKEN_COOKIE_VALUE);
}
export function removeInternalVerifiedCookieIfExists(cookies) {
    if (cookies.get(INTERNAL_VERIFIED_TOKEN_COOKIE_NAME)?.value) {
        cookies.delete(INTERNAL_VERIFIED_TOKEN_COOKIE_NAME);
    }
}
export function markCookiesAsVerified(cookies) {
    cookies.set(INTERNAL_VERIFIED_TOKEN_COOKIE_NAME, INTERNAL_VERIFIED_TOKEN_COOKIE_VALUE);
}
export function wasResponseDecoratedWithModifiedRequestHeaders(response) {
    const cookie = response.headers.get('cookie');
    const middlewareRequestCookie = response.headers.get('x-middleware-request-cookie');
    return (cookie?.includes(INTERNAL_VERIFIED_TOKEN_COOKIE_NAME) ||
        middlewareRequestCookie?.includes(INTERNAL_VERIFIED_TOKEN_COOKIE_NAME) ||
        false);
}
