import { RotatingCredential } from '../../../auth/rotating-credential.js';
export class SingleCookieBuilder {
    cookieName;
    credential;
    constructor(cookieName, signatureKeys) {
        this.cookieName = cookieName;
        this.credential = new RotatingCredential(signatureKeys);
    }
    async buildCookies(tokens) {
        const jwtToken = await this.credential.sign({
            id_token: tokens.idToken,
            refresh_token: tokens.refreshToken,
            custom_token: tokens.customToken
        });
        return [
            {
                name: this.cookieName,
                value: jwtToken
            }
        ];
    }
}
