import { Credential } from '../auth/credential.js';
import { AppCheckToken } from './types.js';
export declare class AppCheckApiClient {
    private credential;
    constructor(credential: Credential);
    exchangeToken(customToken: string, appId: string): Promise<AppCheckToken>;
    private getUrl;
    private toFirebaseError;
    private toAppCheckToken;
    private stringToMilliseconds;
}
export interface ErrorResponse {
    error?: Error;
}
export interface Error {
    code?: number;
    message?: string;
    status?: string;
}
export declare const APP_CHECK_ERROR_CODE_MAPPING: {
    [key: string]: AppCheckErrorCode;
};
export type AppCheckErrorCode = 'aborted' | 'invalid-argument' | 'invalid-credential' | 'internal-error' | 'permission-denied' | 'unauthenticated' | 'not-found' | 'app-check-token-expired' | 'unknown-error';
export declare class FirebaseAppCheckError extends Error {
    readonly code: AppCheckErrorCode;
    constructor(code: AppCheckErrorCode, message: string);
}
