import { Credential, ServiceAccount } from '../auth/credential';
import { VerifyOptions } from '../auth/types.js';
import { AppCheckToken, AppCheckTokenOptions, VerifyAppCheckTokenResponse } from './types';
declare class AppCheck {
    private readonly client;
    private readonly tokenGenerator;
    private readonly appCheckTokenVerifier;
    constructor(credential: Credential, tenantId?: string);
    createToken: (appId: string, options?: AppCheckTokenOptions) => Promise<AppCheckToken>;
    verifyToken: (appCheckToken: string, options: VerifyOptions) => Promise<VerifyAppCheckTokenResponse>;
}
export interface AppCheckOptions {
    serviceAccount?: ServiceAccount;
    tenantId?: string;
}
export declare function getAppCheck(options: AppCheckOptions): AppCheck;
export declare function getAppCheck(serviceAccount: ServiceAccount, tenantId?: string): AppCheck;
export {};
