export declare enum AuthErrorCode {
    USER_NOT_FOUND = "USER_NOT_FOUND",
    USER_DISABLED = "USER_DISABLED",
    INVALID_CREDENTIAL = "INVALID_CREDENTIAL",
    TOKEN_EXPIRED = "TOKEN_EXPIRED",
    TOKEN_REVOKED = "TOKEN_REVOKED",
    INVALID_ARGUMENT = "INVALID_ARGUMENT",
    INTERNAL_ERROR = "INTERNAL_ERROR",
    NO_KID_IN_HEADER = "NO_KID_IN_HEADER",
    INVALID_SIGNATURE = "INVALID_SIGNATURE",
    NO_MATCHING_KID = "NO_MATCHING_KID",
    MISMATCHING_TENANT_ID = "MISMATCHING_TENANT_ID"
}
export declare class AuthError extends Error {
    readonly code: AuthErrorCode;
    static fromError(error: unknown, code: AuthErrorCode, customMessage?: string): AuthError;
    constructor(code: AuthErrorCode, customMessage?: string);
    toJSON(): object;
}
export declare enum InvalidTokenReason {
    MISSING_CREDENTIALS = "MISSING_CREDENTIALS",
    MISSING_REFRESH_TOKEN = "MISSING_REFRESH_TOKEN",
    MALFORMED_CREDENTIALS = "MALFORMED_CREDENTIALS",
    INVALID_SIGNATURE = "INVALID_SIGNATURE",
    INVALID_CREDENTIALS = "INVALID_CREDENTIALS",
    INVALID_KID = "INVALID_KID"
}
export declare class InvalidTokenError extends Error {
    readonly reason: InvalidTokenReason;
    static fromError(error: unknown, reason: InvalidTokenReason): InvalidTokenError;
    isInvalidTokenError: boolean;
    constructor(reason: InvalidTokenReason);
}
export declare function isInvalidTokenError(error: unknown): error is InvalidTokenError;
