import { Credential } from './credential.js';
import { CryptoSigner } from './jwt/crypto-signer';
export declare const BLACKLISTED_CLAIMS: string[];
export declare class FirebaseTokenGenerator {
    private readonly signer;
    constructor(signer: CryptoSigner);
    createCustomToken(uid: string, developerClaims?: {
        [key: string]: unknown;
    }): Promise<string>;
    private static isDeveloperClaimsValid_;
}
export declare function cryptoSignerFromCredential(credential: Credential, tenantId?: string, serviceAccountId?: string): CryptoSigner;
export declare function createFirebaseTokenGenerator(credential: Credential, tenantId?: string, serviceAccountId?: string): FirebaseTokenGenerator;
