import { DecodedIdToken, VerifyOptions } from './types.js';
export declare class FirebaseTokenVerifier {
    private issuer;
    private projectId;
    private tenantId?;
    private readonly signatureVerifier;
    constructor(clientCertUrl: string, issuer: string, projectId: string, tenantId?: string | undefined);
    verifyJWT(jwtToken: string, options: VerifyOptions): Promise<DecodedIdToken>;
    private decodeAndVerify;
    private verifyContent;
    private verifySignature;
    private mapJoseErrorToAuthError;
}
export declare function createIdTokenVerifier(projectId: string, tenantId?: string): FirebaseTokenVerifier;
