import type { NextApiResponse } from 'next';
import type { ReadonlyRequestCookies } from 'next/dist/server/web/spec-extension/adapters/request-cookies';
import type { RequestCookies } from 'next/dist/server/web/spec-extension/cookies';
import { ParsedTokens } from '../../auth/custom-token/index.js';
import { CookiesProvider } from './parser/CookiesProvider.js';
import { SetAuthCookiesOptions } from './types.js';
export declare class AuthCookies {
    private provider;
    private options;
    private builder;
    private targetCookies;
    constructor(provider: CookiesProvider, options: SetAuthCookiesOptions);
    private shouldClearMultipleCookies;
    private shouldClearCustomTokenCookie;
    private shouldClearSingleCookie;
    private clearUnusedCookies;
    private getCookies;
    setAuthCookies(tokens: ParsedTokens, requestCookies: RequestCookies | ReadonlyRequestCookies): Promise<void>;
    setAuthHeaders(tokens: ParsedTokens, headers: Headers): Promise<void>;
    setAuthNextApiResponseHeaders(tokens: ParsedTokens, response: NextApiResponse): Promise<void>;
}
