"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CookieBuilderFactory = void 0;
const MultipleCookieBuilder_js_1 = require("./MultipleCookieBuilder.js");
const SingleCookieBuilder_js_1 = require("./SingleCookieBuilder.js");
class CookieBuilderFactory {
    static fromOptions(options) {
        if (options.enableMultipleCookies) {
            return new MultipleCookieBuilder_js_1.MultipleCookieBuilder(options.cookieName, options.cookieSignatureKeys);
        }
        return new SingleCookieBuilder_js_1.SingleCookieBuilder(options.cookieName, options.cookieSignatureKeys);
    }
}
exports.CookieBuilderFactory = CookieBuilderFactory;
