"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SingleCookieBuilder = void 0;
const rotating_credential_js_1 = require("../../../auth/rotating-credential.js");
class SingleCookieBuilder {
    cookieName;
    credential;
    constructor(cookieName, signatureKeys) {
        this.cookieName = cookieName;
        this.credential = new rotating_credential_js_1.RotatingCredential(signatureKeys);
    }
    async buildCookies(tokens) {
        const jwtToken = await this.credential.sign({
            id_token: tokens.idToken,
            refresh_token: tokens.refreshToken,
            custom_token: tokens.customToken
        });
        return [
            {
                name: this.cookieName,
                value: jwtToken
            }
        ];
    }
}
exports.SingleCookieBuilder = SingleCookieBuilder;
