"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MultipleCookieExpiration = void 0;
const CookieExpiration_js_1 = require("./CookieExpiration.js");
class MultipleCookieExpiration {
    cookieName;
    setter;
    constructor(cookieName, setter) {
        this.cookieName = cookieName;
        this.setter = setter;
    }
    expireCustomCookie(options) {
        const cookies = [
            {
                name: `${this.cookieName}.custom`,
                value: ''
            }
        ];
        this.setter.setCookies(cookies, (0, CookieExpiration_js_1.getExpiredSerializeOptions)(options));
    }
    expireCookies(options) {
        const cookies = [
            {
                name: `${this.cookieName}.id`,
                value: ''
            },
            {
                name: `${this.cookieName}.refresh`,
                value: ''
            },
            {
                name: `${this.cookieName}.custom`,
                value: ''
            },
            {
                name: `${this.cookieName}.sig`,
                value: ''
            }
        ];
        this.setter.setCookies(cookies, (0, CookieExpiration_js_1.getExpiredSerializeOptions)(options));
    }
}
exports.MultipleCookieExpiration = MultipleCookieExpiration;
