import { type CookieSerializeOptions } from 'cookie';
import type { IncomingHttpHeaders } from 'http';
import type { ReadonlyRequestCookies } from 'next/dist/server/web/spec-extension/adapters/request-cookies';
import type { RequestCookies } from 'next/dist/server/web/spec-extension/cookies';
import type { NextRequest } from 'next/server';
import { NextResponse } from 'next/server';
import { ParsedTokens, VerifiedTokens } from '../../auth/custom-token/index.js';
import { CookiesObject, SetAuthCookiesOptions } from './types.js';
export declare function appendAuthCookies(headers: Headers, response: NextResponse, tokens: ParsedTokens, options: SetAuthCookiesOptions): Promise<void>;
export declare function setAuthCookies(headers: Headers, options: SetAuthCookiesOptions): Promise<NextResponse>;
export interface RemoveServerCookiesOptions {
    cookieName: string;
}
export declare function removeServerCookies(cookies: RequestCookies | ReadonlyRequestCookies, options: RemoveServerCookiesOptions): void;
export interface RemoveAuthCookiesOptions {
    cookieName: string;
    cookieSerializeOptions: CookieSerializeOptions;
}
export declare function removeCookies(headers: Headers, response: NextResponse, options: RemoveAuthCookiesOptions): void;
export declare function removeAuthCookies(headers: Headers, options: RemoveAuthCookiesOptions): NextResponse;
export declare function verifyApiCookies(cookies: CookiesObject, headers: IncomingHttpHeaders, options: SetAuthCookiesOptions): Promise<VerifiedTokens>;
export declare function verifyNextCookies(cookies: RequestCookies | ReadonlyRequestCookies, headers: Headers, options: SetAuthCookiesOptions): Promise<VerifiedTokens>;
export declare function refreshNextCookies(cookies: RequestCookies | ReadonlyRequestCookies, headers: Headers, options: SetAuthCookiesOptions): Promise<VerifiedTokens>;
export declare function refreshCredentials(request: NextRequest, options: SetAuthCookiesOptions, responseFactory: (options: {
    headers: Headers;
    tokens: VerifiedTokens;
}) => NextResponse | Promise<NextResponse>): Promise<NextResponse>;
export declare function refreshNextResponseCookiesWithToken(idToken: string, request: NextRequest, response: NextResponse, options: SetAuthCookiesOptions): Promise<NextResponse>;
export declare function refreshCookiesWithIdToken(idToken: string, headers: Headers, cookies: RequestCookies | ReadonlyRequestCookies, options: SetAuthCookiesOptions): Promise<void>;
export declare function refreshNextResponseCookies(request: NextRequest, response: NextResponse, options: SetAuthCookiesOptions): Promise<NextResponse>;
export declare function refreshServerCookies(cookies: RequestCookies | ReadonlyRequestCookies, headers: Headers, options: SetAuthCookiesOptions): Promise<void>;
export * from './types.js';
