import type { ReadonlyRequestCookies } from 'next/dist/server/web/spec-extension/adapters/request-cookies';
import type { RequestCookies } from 'next/dist/server/web/spec-extension/cookies';
import { CookiesObject, GetCookiesTokensOptions } from '../types.js';
import { CookiesProvider } from './CookiesProvider.js';
import { MultipleCookiesParser } from './MultipleCookiesParser.js';
import { SingleCookieParser } from './SingleCookieParser.js';
export declare class CookieParserFactory {
    static hasMultipleCookies(provider: CookiesProvider, cookieName: string): boolean;
    static hasCustomTokenCookie(provider: CookiesProvider, cookieName: string): boolean;
    static hasLegacyMultipleCookies(provider: CookiesProvider, cookieName: string): boolean | undefined;
    private static getCompatibleProvider;
    private static fromProvider;
    static fromRequestCookies(cookies: RequestCookies | ReadonlyRequestCookies, options: GetCookiesTokensOptions): MultipleCookiesParser | SingleCookieParser;
    static fromHeaders(headers: Headers, options: GetCookiesTokensOptions): MultipleCookiesParser | SingleCookieParser;
    static fromObject(cookies: CookiesObject, options: GetCookiesTokensOptions): MultipleCookiesParser | SingleCookieParser;
}
