"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.refreshToken = refreshToken;
const server_1 = require("next/server");
const index_js_1 = require("./cookies/index.js");
async function refreshToken(request, options) {
    const result = await (0, index_js_1.verifyNextCookies)(request.cookies, request.headers, options);
    const headers = {
        'Content-Type': 'application/json'
    };
    if (!result) {
        return new server_1.NextResponse(JSON.stringify({ idToken: null }), {
            status: 200,
            headers
        });
    }
    const response = new server_1.NextResponse(JSON.stringify({
        idToken: result.idToken,
        customToken: result.customToken
    }), {
        status: 200,
        headers
    });
    await (0, index_js_1.appendAuthCookies)(request.headers, response, result, options);
    return response;
}
