import type { CookieSerializeOptions } from 'cookie';
import { NextApiRequest } from 'next';
import type { ReadonlyRequestCookies } from 'next/dist/server/web/spec-extension/adapters/request-cookies';
import type { RequestCookies } from 'next/dist/server/web/spec-extension/cookies';
import { ServiceAccount } from '../auth/credential.js';
import { ParsedTokens } from '../auth/custom-token/index.js';
import { Tokens } from '../auth/index.js';
import { CookiesObject, GetCookiesTokensOptions } from './cookies/types.js';
export interface GetTokensOptions extends GetCookiesTokensOptions {
    cookieSerializeOptions?: CookieSerializeOptions;
    serviceAccount?: ServiceAccount;
    apiKey: string;
    debug?: boolean;
    headers?: Headers;
    experimental_enableTokenRefreshOnExpiredKidHeader?: boolean;
    tenantId?: string;
}
export declare function validateOptions(options: GetTokensOptions): void;
export declare function getRequestCookiesTokens(cookies: RequestCookies | ReadonlyRequestCookies, options: GetCookiesTokensOptions): Promise<ParsedTokens>;
export declare function getTokens(cookies: RequestCookies | ReadonlyRequestCookies, options: GetTokensOptions): Promise<Tokens | null>;
export declare function getCookiesTokens(cookies: CookiesObject, options: GetCookiesTokensOptions): Promise<ParsedTokens>;
export declare function getApiRequestTokens(request: NextApiRequest, options: GetTokensOptions): Promise<Tokens | null>;
export declare function getTokensFromObject(cookies: CookiesObject, options: GetTokensOptions): Promise<Tokens | null>;
